import initialCart from "./initialCart.json" assert { type: "json" };
import { Sheet } from "./sheet.ts";

let cart = initialCart as Array<Sheet>;

export const saveCart = async (fname: string) => {
	await Deno.writeTextFile("./carts/"+fname+".fx", JSON.stringify(getCart()));
}

export const loadCart = async (fname: string) => {
	cart = JSON.parse(await Deno.readTextFile("./carts/"+fname+".fx"));
}

export const getCart = () => {
	return cart;
}